Tuesday, November 22, 2011


Welcome, and we are here to help. Any iDevice is supported expect iPhone 1-2G and firmware (2.X). Were sorry if this includes you. But if you need any help please Email me and i'll try to help you with any problems. We only help users that are jailbroken (Pretty self-explanatory)

No comments:

Post a Comment